=== debian/changelog ===
massxpert (6.0.2-1) unstable; urgency=low

  * Fixes with the user manual build and versioning.

  * Update the user manual itself.

  * texlive-fonts-extra (>= 2020.20210202) (add version).

  * Fix filenames of the STIX2 fonts used for the user manual. The bug was
    reported by Lucas Nussbaum <lucas@debian.org>. Thanks to Juhani Numminen
    <juhaninumminen0@gmail.com> and Dennis Filder <d.filder@web.de> for
    suggesting fixes (Closes: #982725).

  * Standards-Version: 4.5.1. No changes required.

 -- Filippo Rusconi <lopippo@debian.org>  Sat, 20 Feb 2021 19:14:56 +0100
