## massxpert 6.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
   DESCRIPTION "A program to model and simulate mass spectra on (bio-)polymers"
   HOMEPAGE_URL "http://wwww.msxpertsuite.org/massxpert")
 
-set(VERSION 6.0.2)
+set(VERSION 6.0.3)
 
 
 include(GNUInstallDirs)
