=== data/CMakeLists.txt ===
INSTALL (DIRECTORY polChemDefs polSeqs dictionaries
	DESTINATION ${DATA_DIR})

INSTALL (FILES chemPad.conf
	DESTINATION ${DATA_DIR})
