=== doc/CMakeLists.txt ===
message("")
message(STATUS "${BoldGreen}Starting configuration for the doc material for TARGET ${TARGET} ${ColourReset}")
message("")

# The UNIX man pages
if(UNIX AND NOT APPLE)

  message(STATUS "Going to generate the man pages.")

  execute_process(COMMAND docbook-to-man massxpert.xml
    OUTPUT_FILE	${CMAKE_BINARY_DIR}/massxpert.1
    WORKING_DIRECTORY	${CMAKE_CURRENT_SOURCE_DIR})

endif(UNIX AND NOT APPLE)


###############
# install stuff

# The history and licence files.

message("Installing the doc files in ${DOC_DIR}")
install(FILES history.html ../LICENSE 
  DESTINATION ${DOC_DIR})

# The man page.
if(UNIX AND NOT APPLE)
  install(FILES ${CMAKE_BINARY_DIR}/massxpert.1
    ${CMAKE_BINARY_DIR}/massxpert.1
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man1)
endif()


#############################################################
###########################
# BUILD OF THE USER MANUALS

if(BUILD_USER_MANUAL)
  add_subdirectory(user-manual)
endif()


message("")
message(STATUS "${BoldGreen}Finished configuration of the doc material.${ColourReset}")
message("")
