=== debian/changelog ===
massxpert (6.0.3-1) unstable; urgency=low

  * Removed the MathML dependency that was too problematic (see #994795).
    Replace formulas in <mml> elements with figures. Adapted the text of the
    user manual.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 02 Feb 2022 11:52:16 +0100
