=== debian/control ===
--- 
+++ 
@@ -10,14 +10,9 @@
  libqt5svg5-dev (>= 5.11.3),
  cmake (>= 3.12),
  daps (>= 3.0.0),
- libjeuclid-core-java,
- libjeuclid-fop-java,
- docbook-mathml,
+ docbook-xml,
  libjs-jquery,
  libjs-highlight.js,
- libjs-mathjax,
- fonts-mathjax,
- fonts-mathjax-extras,
  texlive-fonts-extra (>= 2020.20210202),
  fonts-ebgaramond-extra,
  docbook-to-man,
