## massxpert 6.1.0

=== debian/changelog ===
massxpert (6.1.0-1) unstable; urgency=low

  * Reworked all the user manual to make it more modern DocBook5 code. Thanks
    to the OpenSUSE crew for advice, in particular Tom Schraitle.

  * Upload after removal due to daps not building.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 17 Oct 2022 10:29:43 +0200
