=== debian/control ===
--- 
+++ 
@@ -9,16 +9,17 @@
  qtbase5-dev (>= 5.11.3),
  libqt5svg5-dev (>= 5.11.3),
  cmake (>= 3.12),
- daps (>= 3.0.0),
+ daps (>= 3.3.1),
  docbook-xml,
  libjs-jquery,
  libjs-highlight.js,
  texlive-fonts-extra (>= 2020.20210202),
  fonts-ebgaramond-extra,
+ gsfonts,
  docbook-to-man,
  qttools5-dev-tools,
  qtchooser
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: http://www.msxpertsuite.org/
 Vcs-Browser: https://salsa.debian.org/debichem-team/massxpert
 Vcs-Git: https://salsa.debian.org/debichem-team/massxpert.git
